Package org.eclipse.mat.ui.internal.diagnostics.actions

## Class HotSpotJVMHeapDump

- java.lang.Object
- - org.eclipse.mat.ui.internal.diagnostics.actions.HotSpotJVMHeapDump

All Implemented Interfaces:
  `DiagnosticsAction`

    public class HotSpotJVMHeapDump
    extends java.lang.Object
    implements DiagnosticsAction

Request a heap dump on a HotSpot JVM

### Constructor Summary

Constructors
`HotSpotJVMHeapDump()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(DiagnosticsProgress progress)` Run the diagnostic action

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HotSpotJVMHeapDump

    public HotSpotJVMHeapDump()

### Method Detail

#### run

    public void run​(DiagnosticsProgress progress)

Description copied from interface: `DiagnosticsAction`
Run the diagnostic action

Specified by:
  `run` in interface `DiagnosticsAction`
Parameters:
  `progress` - Use this to report progress and results to the user